

<div *ngIf="history && history.length == 0  && !pgHistory" class="cust-card2" style="color: white;">
	<h3> <b> History </b> </h3>
	No history found for this user
</div>	

<div *ngIf=" history && history.length != 0 && historyMode" class="cust-card2"  style="color: white;">

	<div *ngIf="pgHistory">
		<button (click)="swapHistoryMode()" class="btn-block">
			<h3> <b> MongoDB History </b> </h3>
		</button>
	</div>

	<div *ngIf=" !pgHistory && historyMode ">
		<h3> <b> MongoDB History </b> </h3>
	</div>

	<div *ngFor="let correction of history;"
	 		class="cust-card"
			[class.selected]="correction === getSelectedHistory()" 
			(click)="onSelect(correction)">
		<div>

			<h3  style="color: white;" >  Score {{ correction.score }}  </h3>
			
			<b> {{ correction.nbBonneReponse }} / {{correction.nbQuestion}} </b> Good Answer <br>
			<b> {{ correction.temps | number:'1.1-1'}} </b> seconds Elpased &#09; &#09; <br>
			<b> Difficulty : {{correction.difficulte}} </b> <br>
			<b> {{ correction.date | date:'medium' }} </b> 
			
			<div *ngIf="correction === getSelectedHistory()" >
				<div  *ngFor="let corr of correction.historique; let i = index">

					<button *ngIf="! corr.correction" class="btn btn-success btn-block">
						Question n°{{i+1}} <b> {{corr.question}} </b>  <br>
						Your answer :	<b> {{corr.reponse}} </b> is correct !<br>
					</button>
					<button *ngIf=" corr.correction" class="btn btn-danger btn-block">
						Question n°{{i+1}} <b> {{corr.question}} </b>  <br>
						Your answer :	<b> {{corr.reponse}} </b> is NOT correct ! <br>
						Correction : <b> {{corr.correction}} </b> 
					</button>
				</div>
			</div>
		</div>
	</div>
</div>

<div *ngIf=" pgHistory && !historyMode" class="cust-card2" style="color:  white;">

	<div *ngIf="history && history.length != 0">
		<button (click)="swapHistoryMode()" class="btn-block">
			<h3> <b> PostGre History  </b> </h3>
		</button>
	</div>

	<div *ngIf=" !history || history.length == 0">
		<h3> <b> PostGre History </b> </h3>
	</div>

	<div *ngFor="let correction of pgHistory;"
	 		class="cust-card"
			[class.selected]="correction === getSelectedHistory()" 
			(click)="onSelect(correction)">
		<div>
			<h3  style="color: white;" >  Score {{ correction.score }} </h3>
			<b> {{ correction.nb_reponses_corr }} </b> Good Answer <br>
			<b> {{ correction.temps }} </b> seconds Elpased &#09; &#09; <br>
			<b> Difficulty : {{correction.niveau_jeu}} </b> <br>
			<b> {{ correction.date_jeu | date:'medium' }} </b> 
		</div>
	</div>
</div>


